Bug 193167 - tiffsplit buffer overflow
tiffsplit buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
source=vuln-dev,reported=20060525,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 16:13 EDT by Josh Bressers
Modified: 2013-07-02 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 08:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-05-25 16:13:42 EDT
tiffsplit buffer overflow

A buffer overflow issue has been found in libtiff's tiffsplit command.
More information is at the below URL:

http://marc.theaimsgroup.com/?l=vuln-dev&m=114857412916909&w=2


This issue also affects FC4
Comment 1 Fedora Update System 2006-05-25 23:50:13 EDT
libtiff-3.7.4-6 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Hisaya FUKUMOTO 2006-05-27 10:30:16 EDT
the patch#2 (tiffsplit-overflow.patch) is not applied.
please check a spec file.
Comment 3 Matthias Clasen 2006-05-28 01:57:57 EDT
arr, thanks for noticing. new package is on the way
Comment 4 Jindrich Novy 2006-09-05 09:31:35 EDT
Fixed in upstream libtiff-3.8.2. Update is on the way.

Note You need to log in before you can comment on or make changes to this bug.